#!/usr/bin/env bash
###################################################
# Generated by render-templates.ts, DO NOT MODIFY #
###################################################

set -e -u -o pipefail
shopt -s inherit_errexit

# The tests verify tagged image hashes against the build records in the event
# log. We need to be sure the log is committed.
DIRTY_FILES="$(git status --porcelain)"
if [ "$DIRTY_FILES" != "" ]; then
  echo "Error: git repo has uncommitted changes, refusing to build as the result may not be reproducible" 1>&2
  echo "$DIRTY_FILES" 1>&2
  exit 1
fi

echo "\
Testing release images before pushing to ensure tags point to expected hashes \
and images are functional..." 2>&1
bats --jobs 8 ./test-release-images.bats

echo "Proceeding to push images..." 2>&1

${DOCKER_CMD:-docker} image push "registry.gitlab.developers.cam.ac.uk/lib/dev/common/docker-compose-pipelines:2-slim"
${DOCKER_CMD:-docker} image push "registry.gitlab.developers.cam.ac.uk/lib/dev/common/docker-compose-pipelines:2.0-slim"
${DOCKER_CMD:-docker} image push "registry.gitlab.developers.cam.ac.uk/lib/dev/common/docker-compose-pipelines:2.0.2-slim"
${DOCKER_CMD:-docker} image push "registry.gitlab.developers.cam.ac.uk/lib/dev/common/docker-compose-pipelines:2"
${DOCKER_CMD:-docker} image push "registry.gitlab.developers.cam.ac.uk/lib/dev/common/docker-compose-pipelines:2.0"
${DOCKER_CMD:-docker} image push "registry.gitlab.developers.cam.ac.uk/lib/dev/common/docker-compose-pipelines:2.0.2"
